package com.sf.day10.integerfacetest01;

import com.sf.day10.Swim;

public class Test02 {
    public static void main(String[] args) {
       Swim swim = new Swim() {
           @Override
           public Swim Swimming(String name) {
               System.out.println(name+"游泳");
               return null;
           }
       };
        goSwim(swim.Swimming("zhangsan"));
    }
    public static void goSwim(Swim swim){
        System.out.println("去游泳");
    }
}
